달력

1

« 2020/1 »

  • 26
  • 27
  • 28
  • 29
  • 30
  • 31
  •  

   

   

   

   

오류메시지

The container 'Android Dependencies' references non existing library 'C:\javanAndroid\workspace_android\appcompat_v7\bin\appcompat_v7.jar'

  

   

   

Error-The container 'Android Dependencies' references non existing library 'C:\javanAndroid\workspace_android\appcompat_v7\bin\appcompat_v7.jar'

   

   

해결방법 1

Add JARs

   

   

Appcompat_v7항목 확장

   

Android-support-v7-appcompat.jar 선택 >

OK

   

추가확인

   

Eclipse: Project > Clean

   

OK

   

   

   

해결방법2

   

   

   

   

   

체크

   

   

   

   

   

해결방법 3

추가할 라이브러리 프로젝트 선택 > 마우스 우클릭

Android Tools > Add Support Library

   

   

   

   

   

해결방법 4

Libs 폴더안의 라이브러리로 추가할 .jar파일을 선택 > 마우스 우클릭

Build Path > Add to Build Path

   

Project > Clean

   

Posted by codedragon codedragon

댓글을 달아 주세요

   

10대 가장 심각한 웹 어플리케이션 보안 취약점

   

   

직접다운로드

OWASP_Top_10_2007_Korean.pdf

   

or

http://www.metasecurity.org/owasp/OWASP_Top_10_2007_Korean.pdf

Posted by codedragon codedragon

댓글을 달아 주세요

   

보안 입출력 라이브러리

   

버퍼 오버플로우의 가장 좋은 보안 대책

  • 개발자 자신의 프로그래밍 습관 변화
  • 적용하는 문제에 적합한 라이브러리 구축
  • 버퍼 오버플로우관련 보안 라이브러리 사용: Libsafe

   

Libsafe

입출력 함수에 보안성을 부여할 수 있는 대표적인 라이브러리

현재 없어짐

http://www.research.avayalabs.com/project/libsafe

   

사용법

$ tar zxvf libsafe-2.0-16.tgz

cd libsafe-2.0-16

make

su

make install

   

직접다운로드

ver.2.0-16(2002년)

libsafe-2.0-16.tgz

Posted by codedragon codedragon

댓글을 달아 주세요